Bug 39495 - MasterDetail missing Navigation Bar Windows RT
Summary: MasterDetail missing Navigation Bar Windows RT
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Windows (show other bugs)
Version: 2.1.0
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-03-09 20:27 UTC by Matthew
Modified: 2016-04-08 16:28 UTC (History)
5 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
App which shows issue (684.50 KB, application/x-zip-compressed)
2016-03-10 21:17 UTC, Matthew
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Matthew 2016-03-09 20:27:45 UTC
In a Windows RT (8.1) application the top navigation bar is not shown when a MasterDetail page is displayed. This started with Xamarin.Forms 2.1.0.6521 and is still present in 2.1.0.6526. The result is that once you have navigated to a MasterDetail page you can not navigate "back". The navigation bar is still displayed for ContentPage and TabbedPage. Explicitly calling NavigationPage.SetHasNavigationBar makes no difference.

The bug is not present on Android.


It might be related to a fix that has removed the incorrectly included black space between the navigation bar and the top of the window which was present in Xamarin.Forms 2.0 on Windoows RT.
Comment 1 E.Z. Hart [MSFT] 2016-03-10 20:03:18 UTC
Thank you for taking the time to submit the bug. We tried to reproduce the issue you reported but were unable given the description. If you could please attach a reproduction to the bug by starting with a clean Xamarin.Forms project and adding just the code necessary to demonstrate the issue we would very much appreciate it.

Warm regards,
Xamarin Forms Team
Comment 2 Matthew 2016-03-10 21:17:30 UTC
Created attachment 15351 [details]
App which shows issue

Simple application with Navigation Page.
The root page has two buttons, one navigates to a Content Page, the other a Master Detail page.

You will see the Master Detail Page has no Navigation Bar so you can't navigate back to the root page. The Content Page has a navigation bar.

The Project Windows8 is the Windows RT project I care about.
Comment 3 Paul DiPietro [MSFT] 2016-03-14 18:09:59 UTC
The reproduction does appear to show this issue.
Comment 4 Matthew 2016-03-17 10:10:04 UTC
Can you provide a time frame on fixing this? We need to move to 2.1 for several bug fixes but this issue is a complete blocker.

Regards,
Comment 5 Bryan Hunter 2016-03-17 20:09:33 UTC
I cannot provide a time, but it is queued to be fixed (currently at position #6 in the queue).
Comment 6 Jason Smith [MSFT] 2016-03-18 10:01:29 UTC
We dont normally support MasterDetailPage nesting, however we will look into this anyway. Our docs do say MasterDetail be used as the root of your app
Comment 7 Matthew 2016-03-18 21:47:48 UTC
I appreciate that this issue is currently queued for fix, but I'm not especially happy with Jason Smith's response "we will look into this anyway". This is a straight bug affecting core functionality in a minor version upgrade. I'm surprised that it wasn't caught by a regression test prior to release of Forms 2.1.

I see no mention in your guides for Master Detail that say you should only use it as the root page of your application, in fact it mentions - The Xamarin.Forms MasterDetailPage is a page that manages two related pages of information - This is definitely how we use it within our application; no mention that it should be used as the Root Page that I can see. It still works in Android and iOS on 2.1, and is fine on Windows RT in 2.0.

https://developer.xamarin.com/guides/xamarin-forms/user-interface/navigation/master-detail-page/

The guide is included under the 'Navigation' topic, but so are Modals, Alerts and Tabbed Pages!

The Master/Detail is a very powerful/useful page and removes a lot of pain when it comes to layout in different orientations and screen sizes/resolutions and it's been a big help that this was part of Xamarin.Forms.

Regards,
Matthew
Comment 8 Jason Smith [MSFT] 2016-03-18 21:55:34 UTC
Should be fixed in 2.2.0-pre1

You should try not to read into what I say too much. When I said we will look into it I mean that.
Comment 9 Jason Smith [MSFT] 2016-03-18 21:56:19 UTC
Btw if you need a backport to 2.1.0 and you have an SLA I am happy to provide a hotfix, just contact your sales rep and they will promote the request up to me.
Comment 10 Parmendra Kumar 2016-04-08 16:28:35 UTC
I have checked this issue with Xamarin.Forms 2.2.0-pre1 and its working fine.

Screencast: http://www.screencast.com/t/Lf9l2gmDSN

Hence closing this issue.